org.apache.ignite.internal.visor.debug

## Class VisorThreadMonitorInfo

- java.lang.Object
- - org.apache.ignite.internal.visor.debug.VisorThreadLockInfo
  - - org.apache.ignite.internal.visor.debug.VisorThreadMonitorInfo

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorThreadMonitorInfo
    extends VisorThreadLockInfo

Data transfer object for `MonitorInfo`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.debug.VisorThreadLockInfo

`clsName, identityHashCode`

### Constructor Summary

Constructors
Constructor and Description
`VisorThreadMonitorInfo(String clsName, Integer identityHashCode, Integer stackDepth, StackTraceElement stackFrame)` Create thread monitor info with given parameters.

### Method Summary

Methods
`static VisorThreadMonitorInfo` `from(MonitorInfo mi)` Create data transfer object for given monitor info.
`Integer` `stackDepth()`
`StackTraceElement` `stackFrame()`

### Methods inherited from class org.apache.ignite.internal.visor.debug.VisorThreadLockInfo

`className, from, identityHashCode, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorThreadMonitorInfo

    public VisorThreadMonitorInfo(String clsName,
                          Integer identityHashCode,
                          Integer stackDepth,
                          StackTraceElement stackFrame)

Create thread monitor info with given parameters.

Parameters:
  `clsName` - Fully qualified name of the class of the lock object.
  `identityHashCode` - Identity hash code of the lock object.
  `stackDepth` - Depth in the stack trace where the object monitor was locked.
  `stackFrame` - Stack frame that locked the object monitor.

### Method Detail

#### from

    public static VisorThreadMonitorInfo from(MonitorInfo mi)

Create data transfer object for given monitor info.

#### stackDepth

    public Integer stackDepth()

Returns:
  Stack depth.

#### stackFrame

    public StackTraceElement stackFrame()

Returns:
  Stack frame.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016